# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{actionpack}
  s.version = "2.3.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["David Heinemeier Hansson"]
  s.autorequire = %q{action_controller}
  s.date = %q{2011-02-08}
  s.description = %q{Eases web-request routing, handling, and response as a half-way front, half-way page controller. Implemented with specific emphasis on enabling easy unit/integration testing that doesn't require a browser.}
  s.email = %q{david@loudthinking.com}
  s.files = ["lib/action_controller/assertions/dom_assertions.rb", "lib/action_controller/assertions/model_assertions.rb", "lib/action_controller/assertions/response_assertions.rb", "lib/action_controller/assertions/routing_assertions.rb", "lib/action_controller/assertions/selector_assertions.rb", "lib/action_controller/assertions/tag_assertions.rb", "lib/action_controller/base.rb", "lib/action_controller/benchmarking.rb", "lib/action_controller/caching/actions.rb", "lib/action_controller/caching/fragments.rb", "lib/action_controller/caching/pages.rb", "lib/action_controller/caching/sweeper.rb", "lib/action_controller/caching/sweeping.rb", "lib/action_controller/caching.rb", "lib/action_controller/cgi_ext/cookie.rb", "lib/action_controller/cgi_ext/query_extension.rb", "lib/action_controller/cgi_ext/stdinput.rb", "lib/action_controller/cgi_ext.rb", "lib/action_controller/cgi_process.rb", "lib/action_controller/cookies.rb", "lib/action_controller/dispatcher.rb", "lib/action_controller/failsafe.rb", "lib/action_controller/filters.rb", "lib/action_controller/flash.rb", "lib/action_controller/headers.rb", "lib/action_controller/helpers.rb", "lib/action_controller/http_authentication.rb", "lib/action_controller/integration.rb", "lib/action_controller/layout.rb", "lib/action_controller/middleware_stack.rb", "lib/action_controller/middlewares.rb", "lib/action_controller/mime_responds.rb", "lib/action_controller/mime_type.rb", "lib/action_controller/mime_types.rb", "lib/action_controller/params_parser.rb", "lib/action_controller/performance_test.rb", "lib/action_controller/polymorphic_routes.rb", "lib/action_controller/rack_lint_patch.rb", "lib/action_controller/record_identifier.rb", "lib/action_controller/reloader.rb", "lib/action_controller/request.rb", "lib/action_controller/request_forgery_protection.rb", "lib/action_controller/rescue.rb", "lib/action_controller/resources.rb", "lib/action_controller/response.rb", "lib/action_controller/routing/builder.rb", "lib/action_controller/routing/optimisations.rb", "lib/action_controller/routing/recognition_optimisation.rb", "lib/action_controller/routing/route.rb", "lib/action_controller/routing/route_set.rb", "lib/action_controller/routing/routing_ext.rb", "lib/action_controller/routing/segments.rb", "lib/action_controller/routing.rb", "lib/action_controller/session/abstract_store.rb", "lib/action_controller/session/cookie_store.rb", "lib/action_controller/session/mem_cache_store.rb", "lib/action_controller/session_management.rb", "lib/action_controller/status_codes.rb", "lib/action_controller/streaming.rb", "lib/action_controller/string_coercion.rb", "lib/action_controller/templates/rescues/_request_and_response.erb", "lib/action_controller/templates/rescues/_trace.erb", "lib/action_controller/templates/rescues/diagnostics.erb", "lib/action_controller/templates/rescues/layout.erb", "lib/action_controller/templates/rescues/missing_template.erb", "lib/action_controller/templates/rescues/routing_error.erb", "lib/action_controller/templates/rescues/template_error.erb", "lib/action_controller/templates/rescues/unknown_action.erb", "lib/action_controller/test_case.rb", "lib/action_controller/test_process.rb", "lib/action_controller/translation.rb", "lib/action_controller/uploaded_file.rb", "lib/action_controller/url_rewriter.rb", "lib/action_controller/vendor/html-scanner/html/document.rb", "lib/action_controller/vendor/html-scanner/html/node.rb", "lib/action_controller/vendor/html-scanner/html/sanitizer.rb", "lib/action_controller/vendor/html-scanner/html/selector.rb", "lib/action_controller/vendor/html-scanner/html/tokenizer.rb", "lib/action_controller/vendor/html-scanner/html/version.rb", "lib/action_controller/vendor/html-scanner.rb", "lib/action_controller/verification.rb", "lib/action_controller.rb", "lib/action_pack/version.rb", "lib/action_pack.rb", "lib/action_view/base.rb", "lib/action_view/helpers/active_record_helper.rb", "lib/action_view/helpers/asset_tag_helper.rb", "lib/action_view/helpers/atom_feed_helper.rb", "lib/action_view/helpers/benchmark_helper.rb", "lib/action_view/helpers/cache_helper.rb", "lib/action_view/helpers/capture_helper.rb", "lib/action_view/helpers/csrf_helper.rb", "lib/action_view/helpers/date_helper.rb", "lib/action_view/helpers/debug_helper.rb", "lib/action_view/helpers/form_helper.rb", "lib/action_view/helpers/form_options_helper.rb", "lib/action_view/helpers/form_tag_helper.rb", "lib/action_view/helpers/javascript_helper.rb", "lib/action_view/helpers/number_helper.rb", "lib/action_view/helpers/prototype_helper.rb", "lib/action_view/helpers/raw_output_helper.rb", "lib/action_view/helpers/record_identification_helper.rb", "lib/action_view/helpers/record_tag_helper.rb", "lib/action_view/helpers/sanitize_helper.rb", "lib/action_view/helpers/scriptaculous_helper.rb", "lib/action_view/helpers/tag_helper.rb", "lib/action_view/helpers/text_helper.rb", "lib/action_view/helpers/translation_helper.rb", "lib/action_view/helpers/url_helper.rb", "lib/action_view/helpers.rb", "lib/action_view/inline_template.rb", "lib/action_view/locale/en.yml", "lib/action_view/partials.rb", "lib/action_view/paths.rb", "lib/action_view/reloadable_template.rb", "lib/action_view/renderable.rb", "lib/action_view/renderable_partial.rb", "lib/action_view/template.rb", "lib/action_view/template_error.rb", "lib/action_view/template_handler.rb", "lib/action_view/template_handlers/builder.rb", "lib/action_view/template_handlers/erb.rb", "lib/action_view/template_handlers/rjs.rb", "lib/action_view/template_handlers.rb", "lib/action_view/test_case.rb", "lib/action_view.rb", "lib/actionpack.rb"]
  s.homepage = %q{http://www.rubyonrails.org}
  s.require_paths = ["lib"]
  s.requirements = ["none"]
  s.rubyforge_project = %q{actionpack}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Web-flow and rendering framework putting the VC in MVC.}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activesupport>, ["= 2.3.11"])
      s.add_runtime_dependency(%q<rack>, ["~> 1.1.0"])
    else
      s.add_dependency(%q<activesupport>, ["= 2.3.11"])
      s.add_dependency(%q<rack>, ["~> 1.1.0"])
    end
  else
    s.add_dependency(%q<activesupport>, ["= 2.3.11"])
    s.add_dependency(%q<rack>, ["~> 1.1.0"])
  end
end
